package httphandlers_test

import (
	"fmt"
	"net/http"
	"testing"

	"github.com/fiskerinc/cloud-services/pkg/common"
	h "github.com/fiskerinc/cloud-services/pkg/httphandlers"
	th "github.com/fiskerinc/cloud-services/pkg/testhelper"
)

func TestParseRequestHandler(t *testing.T) {
	req := th.MakeTestRequest(http.MethodPost, "http://test.com", common.Car{
		VIN:   "1G1FP87S3GN100062",
		Model: "Ocean",
		Year:  2022,
	})
	var car common.Car
	err := h.ParseRequest(req, &car)
	if err != nil {
		fmt.Println(err)
	}
}
